Page MenuHomePhabricator

Packages to be installed in Toolforge Kubernetes Images (Tracking)
Closed, ResolvedPublic

Description

We'd like to encourage developers to use language specific dependency managers (virtualenv, composer, maven, bundler, etc) that allow them to control the versions of libraries they use. However, sometimes some packages *must* be installed in the base container images, and those can be requested by creating sub tasks of this task.

Criteria for inclusion:

  1. Must *not* be easily installable via the language appropriate package manager.
  2. Must be available in Debian Jessie (or Jessie backports) repository
  3. Must have a clear rationale for why this is needed, why alternatives are not appropriate and which tool is planning on using this.

You should also include which type of container (PHP5.6, python2, python3, nodejs, java8, etc) you want this to be installed in.

Examples of packages that will have an easy time getting installed: git, libmysqlclient-dev, openssl, build time dependencies, compilers, etc

Examples of packages that'll have a hard time getting installed: python-requests, python-dateutil, other pure-python/pure-ruby, etc packages.

Remember to remove the Tracking-Neverending tag on any subtasks.

Related Objects

StatusAssignedTask
Resolvedbd808
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolvedbd808
OpenNone
StalledNone
StalledNone
Resolvedbd808
OpenNone
Resolvedbd808
DeclinedNone
Resolvedbd808
Resolvedzhuyifei1999
Resolvedaborrero
Openbd808
OpenLegoktm
OpenLegoktm
DeclinedNone
Resolvedaborrero
ResolvedMoritzMuehlenhoff
Declinedaborrero
ResolvedMoritzMuehlenhoff
ResolvedMoritzMuehlenhoff
ResolvedBstorm
ResolvedLegoktm
Resolvedbd808
InvalidNone
Resolvedbd808

Event Timeline

Restricted Application added a project: Cloud-Services. · View Herald TranscriptJul 12 2016, 2:58 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
tom29739 updated the task description. (Show Details)Jul 22 2016, 10:06 AM
chasemp triaged this task as Normal priority.Jul 25 2016, 2:13 PM
Dfko added a subscriber: Dfko.EditedAug 28 2016, 8:01 PM

I need libxml2 (probably also libxml2-dev in kubernetes for recitation-bot since it uses the command-line xsltproc to run xslt processing. -dev will allow me to convert it to use python's lxml wrapper to do same. (python3 container)

scfc moved this task from Triage to Tracking on the Toolforge board.Dec 4 2016, 6:39 PM
bd808 moved this task from Backlog to Tracking on the Tools-Kubernetes board.Mar 26 2017, 7:08 PM
bd808 edited projects, added Kubernetes; removed Toolforge.Jul 28 2017, 11:02 PM
bd808 renamed this task from Packages to be installed in Tool Labs Kubernetes Images (Tracking) to Packages to be installed in Toolforge Kubernetes Images (Tracking).Aug 3 2017, 4:35 AM
GTirloni removed a subscriber: GTirloni.Mar 21 2019, 9:11 PM
bd808 closed this task as Resolved.Tue, Mar 26, 5:32 PM
bd808 claimed this task.
bd808 added a subscriber: bd808.